<script>
    // v1.1.8 - https://github.com/SimonLammer/anki-persistence/blob/584396fea9dea0921011671a47a0fdda19265e62/script.js
    if (void 0 === window.Persistence) { var e = "github.com/SimonLammer/anki-persistence/", t = "_default"; if (window.Persistence_sessionStorage = function () { var i = !1; try { "object" == typeof window.sessionStorage && (i = !0, this.clear = function () { for (var t = 0; t < sessionStorage.length; t++) { var i = sessionStorage.key(t); 0 == i.indexOf(e) && (sessionStorage.removeItem(i), t--) } }, this.setItem = function (i, n) { void 0 == n && (n = i, i = t), sessionStorage.setItem(e + i, JSON.stringify(n)) }, this.getItem = function (i) { return void 0 == i && (i = t), JSON.parse(sessionStorage.getItem(e + i)) }, this.removeItem = function (i) { void 0 == i && (i = t), sessionStorage.removeItem(e + i) }, this.getAllKeys = function () { for (var t = [], i = Object.keys(sessionStorage), n = 0; n < i.length; n++) { var s = i[n]; 0 == s.indexOf(e) && t.push(s.substring(e.length, s.length)) } return t.sort() }) } catch (n) { } this.isAvailable = function () { return i } }, window.Persistence_windowKey = function (i) { var n = window[i], s = !1; "object" == typeof n && (s = !0, this.clear = function () { n[e] = {} }, this.setItem = function (i, s) { void 0 == s && (s = i, i = t), n[e][i] = s }, this.getItem = function (i) { return void 0 == i && (i = t), void 0 == n[e][i] ? null : n[e][i] }, this.removeItem = function (i) { void 0 == i && (i = t), delete n[e][i] }, this.getAllKeys = function () { return Object.keys(n[e]) }, void 0 == n[e] && this.clear()), this.isAvailable = function () { return s } }, window.Persistence = new Persistence_sessionStorage, Persistence.isAvailable() || (window.Persistence = new Persistence_windowKey("py")), !Persistence.isAvailable()) { var i = window.location.toString().indexOf("title"), n = window.location.toString().indexOf("main", i); i > 0 && n > 0 && n - i < 10 && (window.Persistence = new Persistence_windowKey("qt")) } }
</script>

<div class="width-limit">
    <div id="border">
        {{#Subtopic}}
        <div style="font-size:.8rem;opacity:50%;margin:-0.2rem 0 .5rem;">{{Deck}}<br>{{Subtopic}}</div>
        {{/Subtopic}}

        <div id="noteTypeDiv">Multiple-Choice</div>
        {{Question}}
    </div>
    <div id="true" style="visibility:hidden; height:0;">{{True}}</div>
    <div id="false" style="visibility:hidden; height:0;">{{False}}</div>
    <div id="answers"></div>
</div>
<script>
    var trueStatements = [];
    var statements = [];
    var selected = [false, false, false, false, false];
    var answerDivs = []
    var temp = document.querySelectorAll("#true > ul > li");
    temp.forEach((item, index) => { trueStatements.push(item.innerHTML); statements.push(item.innerHTML); });
    var temp = document.querySelectorAll("#false > ul > li");
    temp.forEach((item, index) => { statements.push(item.innerHTML) });
    function shuffleStatements() {
        var temp = [];
        len = statements.length;
        // Adding a random true statement, to make sure that something is always true (if possible)
        if (trueStatements.length > 0) {
            var index = Math.floor(Math.random() * trueStatements.length);
            temp.push(statements[index]);
            statements.splice(index, 1);
        }
        for (var i = temp.length; i < len; i++) {
            index = Math.floor(Math.random() * statements.length);
            temp.push(statements[index]);
            statements.splice(index, 1);
        }
        temp = temp.splice(0, 5);
        len = temp.length;
        statements = [];
        for (var i = 0; i < len; i++) {
            index = Math.floor(Math.random() * temp.length);
            statements.push(temp[index])
            temp.splice(index, 1);
        }
    }

    function deSelect(index) {
        if (Persistence.isAvailable() && index < selected.length) {
            selected[i] = !selected[i];
            Persistence.setItem("selected" + index, selected[i]);
            document.getElementById("answer" + index).style.borderColor = selected[i] ? "#428FC2" : "#AAAAAAAA";
        }
    }

    if (Persistence.isAvailable()) {
        Persistence.clear();
        shuffleStatements();
        if (statements.length > 5) {
            statements = statements.slice(0, 5);
        }
        statements.forEach((element, index) => Persistence.setItem("statements" + index, element));
    }
    statements.forEach((element, index) => {
        Persistence.setItem("statements" + index, statements[i]);
        answerDiv = document.createElement("div");
        answerDiv.innerHTML = element;
        answerDiv.classList.add("answer");
        answerDiv.id = "answer" + index;
        answerDiv.onclick = function () { deSelect(index) };
        answerDivs.push(answerDiv);
        document.getElementById("answers").appendChild(answerDiv);
    });

</script>